namespace adas_core.Domain.Models;

public class PatientIcca
{
    public PatientLocation Location { get; set; } = new(string.Empty, string.Empty);

    public string? PatientNumber { get; set; }

    public string? PatientId { get; set; }
    public DateTime AdmitTime { get; set; }


    public PatientIcca DeepCopy()
    {
        var other = (PatientIcca)MemberwiseClone();
        other.Location = new PatientLocation(Location.UnitName, Location.Bed);
        other.PatientNumber = new string(PatientNumber);
        other.PatientId = new string(PatientId);
        other.AdmitTime = AdmitTime;
        return other;
    }
}